class Magazine
  def initialize(name, prix)
    @name = name
    @prix = prix
  end

  def name
    return @name
  end

  def prix
    return @prix
  end

  def Magazine::magazine?
    return true
  end

  def to_s
    return format("%s, %.2f", @name, @prix)
  end
end

class Login < Magazine
  def initialize
    super("Login:", 6.4)
  end

  def to_s
    return format("%s par Posse Press", super)
  end
  
  alias toString to_s
  undef toString

  private :prix, :name
end

m = Magazine::new("PC Team", 6.4)
print m, "\n"

l = Login::new
print l, "\n"

print Magazine::magazine?

def l.merdum
  print "\nmerdum\n"
end

l.merdum

print l.toString ## erreur